VLC 2.0.1 on 6.2

Issues related to applications and software problems

VLC 2.0.1 on 6.2

Postby ruhtranayr » 2012/04/10 05:42:45

What would be the best way to install VLC 2.0.1 on centos 6.2? Should I try to build it from source?

I'm trying to stream videos/music over my lan from my headless centos server.
ive come really close with vlc and i think the errors i'm getting are due to VLC version 1.1.13
i can access the httpd interface from other devices on the lan and pause/play/ and change the time but i cant get sound or video to stream.
i opened up port 8081 for tcp and udp.

Heres the vlc errors:
$ cvlc --intf http --http-host adell:8081 /home/ryan/video/*.mp4
VLC media player 1.1.13 The Luggage (revision exported)
Warning: call to srand(1334036597)
Warning: call to rand()
Blocked: call to unsetenv("DBUS_ACTIVATION_ADDRESS")
Blocked: call to unsetenv("DBUS_ACTIVATION_BUS_TYPE")
[0x84e190c] inhibit interface error: Failed to connect to the D-Bus session daemon: /bin/dbus-launch terminated abnormally without any error message
[0x84e190c] main interface error: no suitable interface module
[0x84e37a4] main interface error: no suitable interface module
[0x84bb8fc] main libvlc error: interface "globalhotkeys,none" initialization failed
[0x84e37a4] main interface: creating httpd
[0xb680056c] pulse audio output error: cannot connect to server: Connection refused
[0xb5a21364] xcb_xv generic error: parent window not available
[0xb5a21364] xcb_x11 generic error: parent window not available
[0xb5a21364] vout_sdl generic error: cannot initialize SDL (Unable to open a console terminal)
[0xb5a21364] xcb_glx generic error: parent window not available
[0xb5a21364] fb generic error: cannot get terminal mode (Invalid argument)
Blocked: call to setlocale(6, "")
^C[0x84e492c] signals interface error: Caught Interrupt signal, exiting...

How do I get the latest version of vlc installed on centos? Maybe theres a repo I overlooked?

Thank you,
ruhtranayr
 
Posts: 1
Joined: 2012/04/10 05:23:57

VLC 2.0.1 on 6.2

Postby pschaff » 2012/04/10 21:54:46

Welcome to the CentOS fora. Please see the recommended reading for new users linked in my signature.

The linuxtech-testing repo has 2.0.0-2.el6 and ATrpms has 2.0.1-2.el6.

You don't say where you got the current version, but before proceeding, please read about Installing Software and Repositories, and note the warnings and advice about installing and configuring the yum priorities plugin. Non-core repos should have a higher numeric value, which is a lower priority. Lower is "better" as in golf scores.
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America


Return to CentOS 6 - Software Support

Who is online

Users browsing this forum: No registered users and 5 guests